<?php
include 'connect.php';

$user_id = $_GET['user_id']; // Assuming you pass user_id as a GET parameter

$sql = "SELECT 
            orders.id AS order_id, 
            orders.total_amount,
            order_items.product_id,
            order_items.rental_days,
            order_items.start_date,
            order_items.end_date,
            products.name AS product_name, 
            products.sub_text AS product_sub_text, 
            products.price AS product_price, 
            products.conditions As product_conditions,
            products.image AS product_image,
            products.category_id
        FROM 
            orders
        JOIN 
            order_items ON orders.id = order_items.order_id
        JOIN 
            products ON order_items.product_id = products.id
        WHERE 
            orders.user_id = $user_id";

$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
    $orderDetails = [];
    while ($row = mysqli_fetch_assoc($result)) {
        $orderDetails[] = $row;
    }
    echo json_encode(['status' => 'success', 'data' => $orderDetails]);
} else {
    echo json_encode(['status' => 'error', 'message' => 'No orders found for this user.']);
}

mysqli_close($conn);
?>
