<?php

include 'connect.php';
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    $input = json_decode(file_get_contents('php://input'), true);
    $userId = $input['user_id'];
    $newPassword = $input['new_password'];

    // Check if user ID and new password are provided
    if (empty($userId) || empty($newPassword)) {
        echo json_encode(['status' => 'error', 'message' => 'All fields are required']);
        exit;
    }

    // Hash the new password
    $hashedPassword = password_hash($newPassword, PASSWORD_DEFAULT);

    // Update the new password
    $sql = "UPDATE users SET password = '$hashedPassword' WHERE id = $userId";

    if ($conn->query($sql) === TRUE) {
        echo json_encode(['status' => 'success', 'message' => 'Password updated successfully']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Failed to update password: ' . $conn->error]);
    }

    $conn->close();
    
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method']);
}
?>
